<?php
session_start();

if($rutaRaiz) include_once('config.php');
else include_once('../config.php');

include($rutaPhp.$rutaHtml.'/maqueta/includes.php');






//Volvemos a cargar la orden y los palets, ya que si se salta a la pantalla de revisión, esta llama a un ws donde la estructura y los nombres de las etiquetas XML son distintas
//entonces al volver, desaparecen los datos

$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEORDENPREP#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

//echo "<p>".$peticion."</p>";
//print_r($resultado);

//TICKET 25066120 tras recargar los datos de la orden, perdíamos la procedencia
$procedenciaPantallaTablet=$_SESSION['orden']['procedenciaPantallaTablet'];
$_SESSION['orden']=$resultado[0];
$_SESSION['orden']['procedenciaPantallaTablet']=$procedenciaPantallaTablet;



$productos=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['Productos']);
$tempPalets=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['PaletsPL']);

$_SESSION['palets']=array();
$tempCajas=array();

//8-11-2022 añado contadores solo para los totales, independientemente de todo lo demás
//para no tocarlo i au

$paletsOrden=0;
$cajasOrden=0;
$paletsPacking=0;
$cajasPacking=0;

foreach($tempPalets as $palet) {
	
	foreach($productos as $item) {
		if($item['Contenedor']==$palet['PaletPL']) $palet['EnOrdenPreparacionActual']='S';
	}
	
	
	
	if($palet['EnOrdenPreparacionActual']!='S') {
	
		foreach($tempPalets as $caja) { //Si el palet no contenia producto de la orden, buscamos las cajas que podría contener
		
			if($caja['PaletPadre']==$palet['PaletPL']) { //es una caja contenida en el palet actual
				foreach($productos as $item2) {
					if($item2['Contenedor']==$caja['PaletPL']) $palet['EnOrdenPreparacionActual']='S';
				}
			}
		}
	}
	
	if(!$palet['PaletPadre']) {
	
		$_SESSION['palets'][]=$palet;
		
		if ($palet['EnOrdenPreparacionActual']=='S') {
			if($palet['EsCaja']=='S') $cajasOrden++;
			else $paletsOrden++;
		}
		
		if($palet['EsCaja']=='S') $cajasPacking++;
		else $paletsPacking++;

	}
	else $tempCajas[]=$palet;

}


//TIPOS DE AGRUPACIONES

$tiposPaletsUnicos=array();
foreach($_SESSION['palets'] as $palet) {
	//print_r($palet);
	//echo '<br>';
	if(!$palet['PaletPadre']) { //Los palets hijos (cajas) no entran en el resumen
		$encontrado=false;
		foreach($tiposPaletsUnicos as $item) {
			if($item['TipoPalet']==$palet['TipoPalet'] && $item['EsCaja']==$palet['EsCaja']) $encontrado=true;
		}
		if(!$encontrado) $tiposPaletsUnicos[]=array('TipoPalet'=>$palet['TipoPalet'],'EsCaja'=>$palet['EsCaja']);
	}
}

function cuantosPalets($tipo) {
	$cuantos=0;
	foreach($_SESSION['palets'] as $item) if($item['TipoPalet']==$tipo['TipoPalet'] && $item['EsCaja']==$tipo['EsCaja']) $cuantos++;
	return $cuantos;
}



?>

<table class="tablaFormateada">

	<tr>
		<th colspan="2">Resumen</th>
	</tr>
	
    <tr>
    	<td align="left"><strong>Total Bultos con productos de esta Preparación:</strong></td><td align="right"><strong><?php  echo $paletsOrden+$cajasOrden; ?></strong></td>
    </tr>
    <!--
    <tr>
    	<td align="right">Palets:</td>
    	<td align="right"><?php  echo $paletsOrden; ?></td>
    </tr>
    <tr>
    	<td align="right">Cajas:</td>
    	<td align="right"><?php  echo $cajasOrden; ?></td>
    </tr>
    -->
    
    <?php if($_SESSION['seleccionTipoPalet']) { //30-9-2025 La condicion estaba más arriba, era la que mostraba el bloque. Ahora el bloque se muestra siempre que haya PL, asi que condiciono los tipos ?>
    
		<?php foreach($tiposPaletsUnicos as $tipo) { ?>
        <tr>
            <td align="left">
			<?php
            if($tipo['EsCaja']=='S') {
				if($_SESSION['tiposCajas'][$tipo['TipoPalet']]['Descripcion']) echo $_SESSION['tiposCajas'][$tipo['TipoPalet']]['Descripcion'];
				else echo 'Caja';
			}
			else echo $_SESSION['tiposPalet'][$tipo['TipoPalet']]['Descripcion'];
			?>
            </td>
            <td><?php echo cuantosPalets($tipo); ?></td>
        </tr>
        <?php } ?>
    
    <?php } ?>
    
	<tr>
    	<td align="left"><strong>Total Bultos Packing List:</strong></td><td align="right"><strong id="totalBultosPackingList"><?php  echo $paletsPacking+$cajasPacking; ?></strong></td>
    </tr>
    
    <?php if($cajasPacking>0) { ?>
    <tr>
    	<td align="right">Palets:</td>
    	<td align="right"><?php  echo $paletsPacking; ?></td>
    </tr>
    <tr>
    	<td align="right">Cajas:</td>
    	<td align="right"><?php  echo $cajasPacking; ?></td>
    </tr>
    <?php } ?>
    
</table>

<p><input type="button" name="botonRevisarPalets" id="botonRevisarPalets" value="Revisar Palets" class="boton reducido"/></p>

<br />

<script>

	$(document).ready(function() {
	
		$('#botonRevisarPalets').on('click',function(){
		
			$('#popupCargando').show();
			
			<?php if( $_SESSION['orden']['RequiereDimensionesPalets']=='S' || $_SESSION['orden']['RequierePesoPalets']=='S' ) { ?>
			window.location='<?php echo $rutaHtml; ?>/palets-informar-atributos.php?origen=preparacion&cierre=si';
			//window.location='<?php echo $rutaHtml; ?>/orden-preparacion-S-palets-atributos.php?cierre=si';
			<?php } else { ?>
			window.location='<?php echo $rutaHtml; ?>/orden-preparacion-revision-palets.php';
			<?php } ?>
			
		});
	});
	
</script>